import { default as React } from 'react';

export type SiteBuildDeployConfigurationSurfaceProps = {
    /**
     * Content to render within the element.
     */
    children?: React.ReactNode | undefined;
    /**
     * A class property to attach to the element.
     *
     * @see {@link !Element.className}
     */
    className?: string | undefined;
};
/**
 * A container element used to render the Site Build & Deploy Configuration surface. This component
 * will take care of styling your component so it looks good in the ** Site configuration > Build & deploy**
 * section of the Netlify UI.
 *
 * <!-- TODO(ndhoule): Add a screenshot here -->
 *
 * @param props
 * @see Surfaces.SiteBuildDeployConfiguration
 * @example
 * ```tsx
 * import { SiteBuildDeployConfigurationSurface } from "@netlify/sdk/react/components";
 *
 * <SiteBuildDeployConfigurationSurface>
 *   <div>Your surface content goes here</div>
 * </SiteBuildDeployConfigurationSurface>
 * ```
 */
export declare const SiteBuildDeployConfigurationSurface: ({ className, children, ...otherProps }: SiteBuildDeployConfigurationSurfaceProps) => React.JSX.Element;
//# sourceMappingURL=SiteBuildDeployConfigurationSurface.d.ts.map