import { default as React } from 'react';

export type SiteNotificationsConfigurationSurfaceProps = {
    /**
     * Content to render within the element.
     */
    children?: React.ReactNode | undefined;
    /**
     * A class property to attach to the element.
     *
     * @see {@link !Element.className}
     */
    className?: string | undefined;
};
/**
 * A container element used to render the Site Notifications Configuration surface. This component
 * will take care of styling your component so it looks good in the **Site configuration > Notifications**
 * section of the Netlify UI.
 *
 * <!-- TODO(ndhoule): Add a screenshot here -->
 *
 * @param props
 * @see Surfaces.SiteNotificationsConfiguration
 * @example
 * ```tsx
 * import { SiteNotificationsConfigurationSurface } from "@netlify/sdk/react/components";
 *
 * <SiteNotificationsConfigurationSurface>
 *   <div>Your surface content goes here</div>
 * </SiteNotificationsConfigurationSurface>
 * ```
 */
export declare const SiteNotificationsConfigurationSurface: ({ className, children, ...otherProps }: SiteNotificationsConfigurationSurfaceProps) => React.JSX.Element;
//# sourceMappingURL=SiteNotificationsConfigurationSurface.d.ts.map